%global momorel 1

# first two digits of version
%define release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Name:           grilo
Version:        0.3.6
Release:	%{momorel}m%{?dist}
Summary:        Content discovery framework

Group:          Applications/Multimedia
License:        LGPLv2+
Source0:        http://ftp.gnome.org/pub/GNOME/sources/grilo/%{release_version}/grilo-%{version}.tar.xz
Url:            http://live.gnome.org/Grilo
NoSource:	0

BuildRequires:  chrpath
BuildRequires:  gnome-common
BuildRequires:  vala-devel >= 0.27.1
BuildRequires:  vala-tools >= 0.27.1
BuildRequires:  gtk-doc
BuildRequires:  gobject-introspection-devel >= 0.9.0
BuildRequires:  libxml2-devel
BuildRequires:  libsoup-devel
BuildRequires:  glib2-devel
# For the test UI
BuildRequires:  gtk3-devel
BuildRequires:  liboauth-devel
BuildRequires:  libarchive-devel >= 3.2
BuildRequires:  totem-pl-parser-devel

Requires:       gobject-introspection

%description
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
This package contains the core library and elements.

%package devel
Summary:        Libraries/include files for Grilo framework
Group:          Development/Libraries

Requires:       %{name} = %{version}-%{release}
Requires:       glib2-devel gobject-introspection-devel

%description devel
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
This package contains the core library and elements, as well as
general and API documentation.

%package vala
Summary:        Vala language bindings for Grilo framework
Group:          Development/Libraries

Requires:       %{name}-devel = %{version}-%{release}
Requires:       vala >= 0.7.2

%description vala
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
This package contains the Vala language bindings.

%prep
%setup -q

%build
%configure                      \
        --enable-vala           \
        --enable-gtk-doc        \
        --enable-introspection  \
        --enable-grl-net        \
        --disable-debug          \
        --disable-tests

%make 

%install
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_libdir}/grilo-%{release_version}/
mkdir -p %{buildroot}%{_datadir}/grilo-%{release_version}/plugins/

# Remove rpath
chrpath --delete %{buildroot}%{_bindir}/grl-inspect-%{release_version}
chrpath --delete %{buildroot}%{_bindir}/grl-launch-%{release_version}
chrpath --delete %{buildroot}%{_bindir}/grilo-test-ui-%{release_version}
chrpath --delete %{buildroot}%{_libdir}/libgrlnet-%{release_version}.so.*
chrpath --delete %{buildroot}%{_libdir}/libgrlpls-%{release_version}.so

# Remove files that will not be packaged
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_bindir}/grilo-simple-playlist

%find_lang grilo

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f grilo.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/*.typelib
%{_bindir}/grl-inspect-%{release_version}
%{_bindir}/grl-launch-%{release_version}
%{_bindir}/grilo-test-ui-%{release_version}
%{_libdir}/grilo-%{release_version}/
%{_datadir}/grilo-%{release_version}/plugins/
%{_mandir}/man1/grilo-test-ui-*
%{_mandir}/man1/grl-inspect-*
%{_mandir}/man1/grl-launch-*


%files devel
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%{_datadir}/gtk-doc/html/%{name}
%{_includedir}/%{name}-%{release_version}/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir

%files vala
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%{_datadir}/vala/vapi/*

%changelog
* Sun Sep 09 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.6-1m)
- update to 0.3.6

* Sat Feb 18 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.3-1m)
- update to 0.3.3

* Sun Jan 29 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.2-1m)
- update to 0.3.2

* Sun Feb 22 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.2.12-1m)
- update to 0.2.12

* Sat Sep 27 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.2.11-2m)
- update

* Thu May 22 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.2.10-1m)
- update to 0.2.10

* Mon Jan 28 2013 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.2.4-1m)
- update 0.2.4

* Mon Nov 12 2012 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.2.2-1m)
- import from fc18

